
plan = get_plan(memory)

# check plan state
assert_equals(plan.state, 'done')
# check steps'state
assert_equals(plan.elements['step1'].state, 'failed')
assert_equals(plan.elements['step2'].state, 'done')
# check transitions'state
assert_equals(plan.elements['transition1'].state, 'impossible')
assert_equals(plan.elements['transition-on-error'].state, 'fired')


